## org.mariadb.jdbc.internal.util
Enum ExceptionCode

    java.lang.Object
      java.lang.Enum<ExceptionCode>
          org.mariadb.jdbc.internal.util.ExceptionCode

All Implemented Interfaces:
  Serializable, Comparable<ExceptionCode>

    public enum ExceptionCode

extends Enum<ExceptionCode>

Enum Constant Summary
`CREATE_RESULTSET_DURING_ACTIVE_RESULT`
`INVALID_PARAMETER_VALUE`
`WRONG_NUMBER_OF_ARGUMENT`

Field Summary
`String` `sqlState`

Method Summary
`static ExceptionCode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ExceptionCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CREATE_RESULTSET_DURING_ACTIVE_RESULT

    public static final ExceptionCode CREATE_RESULTSET_DURING_ACTIVE_RESULT

### WRONG_NUMBER_OF_ARGUMENT

    public static final ExceptionCode WRONG_NUMBER_OF_ARGUMENT

### INVALID_PARAMETER_VALUE

    public static final ExceptionCode INVALID_PARAMETER_VALUE

Field Detail

### sqlState

    public final String sqlState

Method Detail

### values

    public static ExceptionCode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ExceptionCode c : ExceptionCode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ExceptionCode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2017. All rights reserved.